Bug 960360 - (CVE-2013-1996) CVE-2013-1996 libFS: Sign extension issues resulting in heap-based buffer overflow
CVE-2013-1996 libFS: Sign extension issues resulting in heap-based buffer ove...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966828
Blocks: 959130
  Show dependency treegraph
 
Reported: 2013-05-07 01:59 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-22 02:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: libFS 1.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 03:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-07 01:59:48 EDT
A sign extension issue was found in libFS, X.Org X11 libFS runtime library. The FSOpenServer() function did not check the sign of the returned data, leading to negative numbers being used in memory size calculations. This can result in allocating too little memory and then writing the returned data past the end of the buffer. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.
Comment 2 Jan Lieskovsky 2013-05-23 11:48:43 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 3 Huzaifa S. Sidhpurwala 2013-05-24 00:04:03 EDT
Created libFS tracking bugs for this issue

Affects: fedora-all [bug 966828]
Comment 4 Fedora Update System 2013-06-02 23:10:26 EDT
libFS-1.0.4-6.20130524git26dc23446.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Huzaifa S. Sidhpurwala 2013-06-04 23:39:34 EDT
This issue affects the version of libFS as shipped with Red Hat Enterprise Linux 5.
Comment 6 Huzaifa S. Sidhpurwala 2013-06-04 23:50:06 EDT
Statement:

This issue affects the libFS package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 7 Fedora Update System 2013-06-14 00:53:23 EDT
libFS-1.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jan Lieskovsky 2013-06-17 05:45:09 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Note You need to log in before you can comment on or make changes to this bug.